// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Database;
using XGame.Framework.Serialization;

namespace XGame.Database
{
    /// <summary> Level </summary>
    public sealed class LevelTable : ITable
    {
        long ITable.Key => Level;

        /// <summary> 等级 </summary>
        public int Level { get; private set; } // sc

        /// <summary> 升级所需的总经验 </summary>
        public long Exp { get; private set; } // sc

        void ISerializable.Deserialize(IReader reader)
        {
            Level = reader.ReadInt();
            Exp = reader.ReadLong();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(Level);
            writer.Write(Exp);
        }
    }
}
